libdvbv5 1.24.1 Library to work with Digital TV devices on Linux

Data Fields
dvb_desc_ca Struct Reference
Parsers for several MPEG-TS descriptors

Contains the private data for Conditional Access. More...

`#include <desc_ca.h>`

## Data Fields
uint8_t | type
uint8_t | length
struct dvb_desc * | next
uint16_t | ca_id
union {
uint16_t bitfield1
struct {
uint16_t ca_pid:13
uint16_t reserved:3
} |
}; |
uint8_t * | privdata
uint8_t | privdata_len

## Detailed Description

Contains the private data for Conditional Access.

Parameters

  type | descriptor tag
  length | descriptor length
  next | pointer to struct dvb_desc
  ca_id | Conditional Access ID
  ca_pid | Conditional Access ID
  privdata | pointer to private data buffer
  privdata_len | length of the private data

Definition at line 56 of file desc_ca.h.

## Field Documentation

## ◆

union { ... } dvb_desc_ca::@135

## ◆ bitfield1

uint16_t dvb_desc_ca::bitfield1

Definition at line 63 of file desc_ca.h.

## ◆ ca_id

uint16_t dvb_desc_ca::ca_id

Definition at line 61 of file desc_ca.h.

## ◆ ca_pid

uint16_t dvb_desc_ca::ca_pid

Definition at line 65 of file desc_ca.h.

## ◆ length

uint8_t dvb_desc_ca::length

Definition at line 58 of file desc_ca.h.

## ◆ next

struct dvb_desc* dvb_desc_ca::next

Definition at line 59 of file desc_ca.h.

## ◆ privdata

uint8_t* dvb_desc_ca::privdata

Definition at line 70 of file desc_ca.h.

## ◆ privdata_len

uint8_t dvb_desc_ca::privdata_len

Definition at line 71 of file desc_ca.h.

## ◆ reserved

uint16_t dvb_desc_ca::reserved

Definition at line 66 of file desc_ca.h.

## ◆ type

uint8_t dvb_desc_ca::type

Definition at line 57 of file desc_ca.h.

The documentation for this struct was generated from the following file:

- lib/include/libdvbv5/desc_ca.h